cover photo

elmussol

elmussol@elsmussols.org

elsmussols.org PSA

elmussol
 Xerta 
Going to do the PHP 5.6>7.0 now, so this hub will be offline for (I hope) a short time. If not, I'll be asking questions from my Parlementum clone.
 tech
Sophie
  
Boo who?
elmussol
  
See separate thread on PhP 5.6>7.0 upgrade. Now #fixed.
Manuel
  
I love you more when you talk about music and olives ;-)
php 7 vs php 5.6

elmussol
 Xerta 
@Hubzilla Support Forum+ The machine I run this Hubzilla instance has this:

root@pendle:~# php -v                                                                                                                                                       
PHP 5.6.30-0+deb8u1 (cli) (built: Feb  8 2017 09:49:20)                                                                                                                    
Copyright (c) 1997-2016 The PHP Group                                                                                                                                      
Zend Engine v2.6.0, Copyright (c) 1998-2016 Zend Technologies                                                                                                              
    with Zend OPcache v7.0.6-dev, Copyright (c) 1999-2016, by Zend Technologies


At the moment it also runs email, Nextcloud and Red Matrix (which will be taken down as soon as the Hubzilla instance is 100% ready for use).

I want to run php 7, it is an apt-get install away. What are the issues I need to think about in advance of this transition generally, and specifically with respect to Hubzilla and Red Matrix?
Andrew Manning
  
This reminds me, are the Debian dependencies listed in these detailed instructions still accurate?

My Vagrant provisioning script installs the following:

echo "Installing Apache.."
sudo apt-get install -y apache2
echo "Installing MariaDB.."
sudo apt-get install -y mariadb-server
echo "Installing git.."
sudo apt-get install -y git
echo "Installing php7.."
sudo apt-get install -y php7.0-zip php7.0-cli php7.0-curl php7.0-gd php7.0-mysql php7.0-mbstring php7.0-xml libapache2-mod-php7.0 php7.0-mcrypt
echo "Installing sendmail.."
sudo apt-get install -y mailutils sendmail-bin
Waitman Gobble
  
maybe mcrypt is a package in 7.0 but it goes away at some point in 7. it becomes just part of base php AFAIK

is sendmail still a thing? it's been years since i haven't used postfix :)
Mike Macgirvin
  
mcrypt is dead and buried.
it's a month

elmussol
 Xerta last edited: Wed, 21 Mar 2018 23:55:51 +0100  
Since I opined on a tune (and only tangentially on others). Tomorrow I will rectify this. You must be getting funk deprived by now.
 fail  music
Mike Macgirvin
  last edited: Tue, 27 Feb 2018 22:30:59 +0100  
Please feel free to redeem yourself.
 fixed  fixed
elmussol
  
elmussol
  last edited: Wed, 21 Mar 2018 23:54:14 +0100  
I feel at least partially redeemed.
alternator saga redux

elmussol
 Xerta last edited: Thu, 22 Mar 2018 11:14:33 +0100  
Eleven days since my last post. It's been busy.

However some good news: after battling with starting my car since last Christmas Eve, two new batteries and a new alternator later, my car now starts as advertised, with the key and not involving any pushing or parking on hills.

Additionally, I am incredibly pleased with the fact that, for the first time ever in Spain, I have had something replaced under warranty without complaint, argument or a burdensome bureaucratic maze to negotiate.

#fixed
 life
elmussol
  last edited: Thu, 22 Mar 2018 11:13:54 +0100  
The final problem was that the new battery had a dead cell, hence warranty replacement.
elmussol
  last edited: Thu, 22 Mar 2018 11:34:04 +0100  
Mike Macgirvin
  
Just like regular likes, if you like it twice it negates the first one. Maybe this is what you wanted, but just pointing it out.
elmussol
  
Noted. I like you can show appreciation for channels that are useful to you. Which reminds me: @Charles Roth MPC, you need to git pull so I can like, Crepes and the Review of Books...
elmussol
  last edited: Thu, 22 Mar 2018 11:29:58 +0100